1. Products
Trade Show
V2
  • V2
  • V1
  • Introduction
  • Warehouses
    • Create a new Warehouse
      POST
    • Update a Warehouse
      PUT
    • Get a list of Warehouses
      GET
    • Retrieve a specific Warehouse by ID
      GET
    • Delete a Warehouse
      DELETE
  • Delivery Groups
    • Create a new Delivery Group
      POST
    • Update a Delivery Group
      PUT
    • Get a list of Delivery Groups
      GET
    • Retrieve a specific Delivery Group by ID
      GET
    • Delete a Delivery Group
      DELETE
  • Delivery Ranges
    • Create a new Delivery Range
      POST
    • Update a Delivery Range
      PUT
    • Get a list of Delivery Ranges
      GET
    • Retrieve a specific Delivery Range by ID
      GET
    • Delete a Delivery Range
      DELETE
  • Delivery Drops
    • Create a new Delivery Drop
    • Update a Delivery Drop
    • Get a list of Delivery Drops
    • Retrieve a specific Delivery Drop by ID
    • Delete a Delivery Drop
  • Sales Rep Hierarchies
    • Define Hierarchy Levels
    • Create Sales Rep Group
    • Update Sales Rep Group
    • Move Sales Rep Group
    • Reorder Sales Rep Groups
    • Get Sales Rep Groups
    • Get Sales Rep Group
    • Delete Sales Rep Group
  • Sales Reps
    • Create a new sales rep
    • Update a sales rep
    • Get a list of sales reps
    • Retrieve a specific sales rep by ID
    • Delete a sales rep
  • Sales Rep Managers
    • Get a list of sales rep managers
    • Create a new sales rep manager
    • Retrieve a specific sales rep manager by ID
    • Update a sales rep manager
    • Delete a sales rep manager
  • Ordering Groups
    • Create a new Ordering Group
    • Update a Ordering Group
    • Get a list of Ordering Groups
    • Retrieve a specific Ordering Group by ID
    • Delete a Ordering Group
  • Customers
    • Create a new Customer Class
    • Get a list of Customer Classes
    • Retrieve a specific Customer Class by ID
    • Update a Customer Class
    • Delete a Customer Class
    • Create a new Customer
    • BULK: Create and update Customers
    • Get a list of Customers
    • Retrieve a specific Customer by ID
    • Update a Customer
    • Delete a Customer
  • Attendees
    • Create a new Attendee
    • Update a Attendee
    • Get a list of Attendees
    • Retrieve a specific Attendee by ID
    • Delete a Attendee
  • Vendors
    • Create a new Vendor
    • BULK: Create and update Vendors
    • Update a Vendor
    • Get a list of Vendors
    • Retrieve a specific Vendor by ID
    • Delete a Vendor
    • Create a new vendor user
    • Update a vendor user
    • Get a list of vendor users
    • Retrieve a specific vendor user by ID
    • Delete a vendor user
  • Brokers
    • Get a list of Brokers
    • Create a new Broker
    • Retrieve a specific Broker by ID
    • Update a Broker
    • Delete a Broker
    • Get a list of broker users
    • Create a new broker user
    • Retrieve a specific broker user by ID
    • Update a broker user
    • Delete a broker user
  • Buyers
    • Get a list of Buyers
    • Retrieve a specific Buyer by ID
    • Create a new Buyer
    • Update a Buyer
    • Delete a Buyer
  • Booths
    • Create a new Booth
    • Update a Booth
    • Get a list of Booths
    • Retrieve a specific Booth by ID
    • Delete a Booth
    • Associate a product to a booth
    • Choose which products are associated to a booth using a list of product IDs
    • Get a list of products associated with a booth
    • Remove a product from a booth
    • Associate a vendor to a booth
    • Choose which vendors are associated to a booth using a list of vendor IDs
    • Get a list of vendors associated with a booth
    • Remove a vendor from a booth
  • Facilitators
    • Create a new Facilitator
    • Update a Facilitator
    • Get a list of Facilitators
    • Retrieve a specific Facilitator by ID
    • Delete a Facilitator
  • Brands
    • Create a new Brand
    • Update a Brand
    • Get a list of Brands
    • Retrieve a specific Brand by ID
    • Delete a Brand
  • Categories
    • Create a new Category
    • Update a Category
    • Get a list of Categories
    • Retrieve a specific Category by ID
    • Delete a Category
  • Departments
    • Get a list of Departments
    • Retrieve a specific Department by ID
    • Create a new Department
    • Update a Department
    • Delete a Department
  • Products
    • Get a collection of price lists for products
      GET
    • BULK: Create and Update Pricing
      POST
    • Retrieve pricing by price ID
      GET
    • Update product pricing by price ID
      PUT
    • Delete a price list by ID
      DELETE
    • Get a list of Products
      GET
    • Create a new Product
      POST
    • BULK: Create and update Products
      POST
    • Retrieve a specific Product by ID
      GET
    • Update a Product
      PUT
    • Delete a Product
      DELETE
    • Return a collection of prices for the selected product.
      GET
    • Create new pricing for a product
      POST
    • Get a list of product inventory
      GET
    • Bulk update product inventory
      PUT
  • Orders
    • Bulk create orders
    • Bulk update orders
    • Get a list of orders
    • Retrieve a specific order by ID
    • Delete an order line
    • Get a list of order history buckets
    • Bulk create order history items
    • Get a list of order history items
  • Delivery Dates
    • Get a list of delivery dates
    • Retrieve delivery dates by product using ID
  • VIP Users
    • Create a new VIP user
    • Update a VIP user
    • Get a list of VIP users
    • Retrieve a specific VIP user by ID
    • Delete a VIP user
  • Show Admins
    • Create a new Show Admin
    • Update a Show Admin
    • Get a list of Show Admins
    • Retrieve a specific Show Admin by ID
    • Delete a Show Admin
  • Exports
    • Get available exports
    • Get parameter options
    • Run Custom Export
  • Schemas
    • Schemas
      • DeleteResponse
      • SalesRepLevel
      • UpdateInventory
      • ProductInventory
      • OrderHistory
      • registrationStatus
      • ValidationProblemDetails
      • attendanceType
      • arrivalNotificationBehavior
      • UserList
      • VendorUser
      • VIP
      • ShowAdmin
      • SalesRepManager
      • SalesRep
      • Facilitator
      • BrokerUser
      • User
      • UserInput
      • PaginationSchema
      • UpdateOrder
      • CreateOrder
      • OrderHistoryItem
      • OrderHistoryBucket
      • Attendee
      • OrderingGroup V1
      • Booth
      • CreateOrderLine
      • Brand
      • UpdateOrderLine
      • OrderResult
      • OrderLineError
      • OrderHistoryResult
      • IdMessage
      • Broker
      • Category
      • Customer
      • CustomerClass
      • DeliveryDrop
      • DeliveryGroup
      • DeliveryRange
      • Export
      • ExportParameter
      • OrderingGroup
      • OrderingSubGroup
      • Pricing
      • ProductPricing
      • Product
      • SalesRepGroup
      • Vendor
      • Warehouse
      • OrderLine
      • PurchaseOrder
      • OrderAllowance
      • BulkCustomerResponse
      • BulkVendorResponse
      • BulkProductResponse
      • BulkPricingResponse
      • BadRequest
      • Buyer
      • Department
  1. Products

Get a list of Products

GET
/v2/products/list
Query existing products associated with the show

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://tsapi.perenso.net/v2/products/list?sort=&page=&resultsPerPage=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Products
{
    "pagination": {
        "totalRecords": 3,
        "page": 1,
        "resultsPerPage": 20
    },
    "items": [
        {
            "id": "k6hhj9",
            "productID": "PROD0332",
            "orderUnit": "LB",
            "orderUnitDescription": "Dozen",
            "vendorID": "VEND2161",
            "description": "Andy shoes are designed to keeping in mind durability as well as trends, the most stylish range of shoes & sandals",
            "alternateDescription": "New ABC 13 9370, 13.3, 5th Gen CoreA5-8250U, 8GB RAM, 256GB SSD, power UHD Graphics, OS 10 Home, OS Office A & J 2016",
            "buyer": "USER5602",
            "mpc": "EFX-03624",
            "upc_ean": "064329054035",
            "category": "Tasty",
            "brand": "Intelligent Metal",
            "deliveryGroup": "6132",
            "weightUnit": "Kilograms",
            "netWeight": 19.14,
            "grossWeight": 92.89,
            "isKit": true,
            "active": false,
            "test": true,
            "availableInOrderingSite": true,
            "availableForFreeStock": false,
            "packDescription": "8 per case",
            "sizeDescription": "1 oz",
            "unitQty": 8,
            "roundTo": 5,
            "maxOrderQty": 5,
            "minOrderQty": 7,
            "packQty": 20,
            "isOrderable": true,
            "canSample": true,
            "allowanceType": "Discount",
            "negotiationStatus": "Locked",
            "extraText1": "consequat enim voluptate",
            "extraText2": "aliqua incididunt magna cillum",
            "extraText3": "anim Excepteur",
            "extraText4": "culpa sint laboris",
            "extraText5": "pariatur ut",
            "price": 985.79,
            "showPrice": 734.85,
            "msrp": 650.05,
            "isMarketPrice": false,
            "cashbackQuantity": 92,
            "cashbackPercent": 0,
            "department": "10",
            "inventory": 1522
        },
        {
            "id": "a9ds27",
            "productID": "PROD8364",
            "orderUnit": "LB",
            "orderUnitDescription": "Dozen",
            "vendorID": "VEND5453",
            "description": "The Football Is Good For Training And Recreational Purposes",
            "alternateDescription": "The Apollotech B340 is an affordable wireless mouse with reliable connectivity, 12 months battery life and modern design",
            "buyer": "USER4618",
            "mpc": "RAZ-86156",
            "upc_ean": "066627541924",
            "category": "Tasty",
            "brand": "Fantastic Metal",
            "deliveryGroup": "9641",
            "weightUnit": "Pounds",
            "netWeight": 72.34,
            "grossWeight": 11.04,
            "isKit": false,
            "active": false,
            "test": false,
            "availableInOrderingSite": true,
            "availableForFreeStock": true,
            "packDescription": "8 per case",
            "sizeDescription": "0.5 oz",
            "unitQty": 11,
            "roundTo": 2,
            "maxOrderQty": 3,
            "minOrderQty": 19,
            "packQty": 4,
            "isOrderable": false,
            "canSample": false,
            "allowanceType": "Discount",
            "negotiationStatus": "Wait Agreement",
            "extraText1": "pariatur in qui consequat",
            "extraText2": "mollit aute dolore esse officia",
            "extraText3": "in ea voluptate ex",
            "extraText4": "pariatur consequat dolore",
            "extraText5": "quis",
            "price": 545.12,
            "showPrice": 669.05,
            "msrp": 67.55,
            "isMarketPrice": false,
            "cashbackQuantity": 88,
            "cashbackPercent": 0,
            "department": "11",
            "inventory": 155
        },
        {
            "id": "399kfs",
            "productID": "PROD1864",
            "orderUnit": "DZ",
            "orderUnitDescription": "Dozen",
            "vendorID": "VEND1433",
            "description": "Ergonomic executive chair upholstered in bonded black leather and PVC padded seat and back for all-day comfort and support",
            "alternateDescription": "The slim & simple Maple Gaming Keyboard from Dev Byte comes with a sleek body and 7- Color RGB LED Back-lighting for smart functionality",
            "buyer": "USER0197",
            "mpc": "XCP-21249",
            "upc_ean": "045140577020",
            "category": "Ergonomic",
            "brand": "Handmade Granite",
            "deliveryGroup": "3490",
            "weightUnit": "Kilograms",
            "netWeight": 128.73,
            "grossWeight": 3.09,
            "isKit": true,
            "active": true,
            "test": false,
            "availableInOrderingSite": true,
            "availableForFreeStock": false,
            "packDescription": "3 per case",
            "sizeDescription": "1 oz",
            "unitQty": 6,
            "roundTo": 1,
            "maxOrderQty": 14,
            "minOrderQty": 18,
            "packQty": 12,
            "isOrderable": false,
            "canSample": true,
            "allowanceType": "Percent off price",
            "negotiationStatus": "Wait Buyer",
            "extraText1": "laboris ea sunt",
            "extraText2": "eu nisi ex deserunt",
            "extraText3": "consequat in id",
            "extraText4": "dolore officia",
            "extraText5": "ex irure veniam",
            "price": 911.29,
            "showPrice": 143.43,
            "msrp": 236.09,
            "isMarketPrice": true,
            "cashbackQuantity": 35,
            "cashbackPercent": 0.5,
            "department": "12",
            "inventory": 979
        }
    ]
}
Modified at 2026-10-12 19:37:41
Previous
Delete a price list by ID
Next
Create a new Product
Built with